> ## Documentation Index
> Fetch the complete documentation index at: https://developers.deepl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a style rule list's name



## OpenAPI

````yaml patch /v3/style_rules/{style_id}
openapi: 3.0.3
info:
  title: DeepL API Documentation
  description: >-
    The DeepL API provides programmatic access to DeepL’s language AI
    technology.


    Note: this OpenAPI spec is embedded into our API documentation and has
    shortened descriptions.
  termsOfService: https://www.deepl.com/pro-license
  contact:
    name: DeepL - Contact us
    url: https://www.deepl.com/contact-us
  version: 3.9.0
servers:
  - url: https://api.deepl.com
    description: DeepL API Pro
  - url: https://api-free.deepl.com
    description: DeepL API Free
security: []
tags:
  - name: beta
    description: >-
      Experimental features that are under testing and not yet intended for
      production use.
  - name: TranslateText
    description: >-
      The text-translation API currently consists of a single endpoint,
      `translate`, which is described below.
  - name: TranslateDocuments
    description: >-
      The document translation API allows you to translate whole documents and
      supports the following file types and extensions:
        * `docx` - Microsoft Word Document
        * `pptx` - Microsoft PowerPoint Document
        * `xlsx` - Microsoft Excel Document
        * `pdf` - Portable Document Format
        * `htm / html` - HTML Document
        * `txt` - Plain Text Document
        * `xlf / xliff` - XLIFF Document, version 2.1
        * `srt` - SRT Document
        * `jpeg` / `jpg` / `png` - Image (currently in beta)
  - name: RephraseText
    description: >-
      The `rephrase` endpoint  is used to make corrections and adjustments to
      texts based on style or tone.
  - name: ManageMultilingualGlossaries
    description: >-
      The *glossary* functions allow you to create, inspect, edit and delete
      glossaries.

      Glossaries created with the glossary function can be used in translate
      requests by specifying the

      `glossary_id` parameter. A glossary contains (several) dictionaries.

      A dictionary is a mapping of source phrases to target phrases for a single
      language pair.

      If you encounter issues, please let us know at support@DeepL.com.


      Currently you can create glossaries with any of the languages DeepL
      supports (with the exception of Thai).


      The maximum size limit for a glossary is 10 MiB = 10485760 bytes and each
      source/target text,

      as well as the name of the glossary, is limited to 1024 UTF-8 bytes.

      A total of 1000 glossaries are allowed per account.


      When creating a dictionary with target language `EN`, `PT`, or `ZH`, it's
      not necessary to specify a variant

      (e.g. `EN-US`, `EN-GB`, `PT-PT`, `PT-BR`, or `ZH-HANS`).

      Dictionaries with target language `EN` can be used in translations with
      either English variant.

      Similarly `PT`, and `ZH` dictionaries can be used in translations with
      their corresponding variants.

      (When you provide the ID of a glossary to a translation, the appropriate
      dictionary is automatically applied. Currently glossaries can not yet be
      used with source language detection.)


      Glossaries created via the DeepL API are now unified with glossaries
      created via the DeepL website and DeepL apps.

      Please only use the v3 glossary API in conjunction with multilingual or
      edited glossaries from the website.
  - name: ManageGlossaries
    description: >-
      Please note that this is the spec for the (old) v2 glossary endpoint.

      We recommend users switch to the newer v3 glossary endpoints, which
      support editability and multilinguality.


      The *glossary* functions allow you to create, inspect, and delete
      glossaries.

      Glossaries created with the glossary function can be used in translate
      requests by specifying the

      `glossary_id` parameter.

      If you encounter issues, please let us know at support@DeepL.com.


      Currently you can create glossaries with any of the languages DeepL
      supports (with the exception of Thai).
  - name: MetaInformation
    description: Information about API usage and value ranges
  - name: TranslationMemories
    description: >-
      The translation memory endpoints allow you to interact with your account's
      translation memories, used to store

      and reuse previously created translations. Translation memories can be
      used in text translation requests by

      specifying the `translation_memory_id` parameter to denote a specific
      translation memory and the

      `translation_memory_threshold` which defines the minimum matching
      percentage required for a translation memory

      segment to be applied (recommended to be 75% or higher).
  - name: VoiceAPI
    description: >-
      The Voice API provides real-time voice transcription and translation
      services.

      Use a two-step flow: first request a streaming URL via REST, then
      establish a WebSocket connection for streaming audio and receiving
      transcriptions.
  - name: VoiceTranslateJob
    description: >-
      **Alpha.** Async voice translation jobs. This API may change without
      notice.
externalDocs:
  description: DeepL Pro - Plans and pricing
  url: https://www.deepl.com/pro#developer
paths:
  /v3/style_rules/{style_id}:
    patch:
      summary: Update a style rule list's name
      operationId: updateStyleRuleList
      parameters:
        - name: style_id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the style rule list
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  $ref: '#/components/schemas/StyleRuleName'
      responses:
        '200':
          description: Style rule list updated successfully
          headers:
            X-Trace-ID:
              $ref: '#/components/headers/X-Trace-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StyleRuleList'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '456':
          $ref: '#/components/responses/QuotaExceeded'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
      security:
        - auth_header: []
components:
  schemas:
    StyleRuleName:
      description: Name associated with the style rule list.
      type: string
    StyleRuleList:
      type: object
      required:
        - style_id
        - name
        - creation_time
        - updated_time
        - language
        - version
      properties:
        style_id:
          $ref: '#/components/schemas/StyleId'
        name:
          $ref: '#/components/schemas/StyleRuleName'
        creation_time:
          description: >-
            The creation time of the style rule list in the ISO 8601-1:2019
            format (e.g.: `2021-08-03T14:16:18.329Z`).
          type: string
          format: date-time
        updated_time:
          description: >-
            The time of the style rule list when it was last updated in the ISO
            8601-1:2019 format (e.g.: `2022-08-03T14:16:18.329Z`).
          type: string
          format: date-time
        language:
          $ref: '#/components/schemas/StyleRuleLanguage'
        version:
          description: >-
            The version of the style rule list. Incremented when the style rule
            list is updated.
          type: integer
          example: 13
        configured_rules:
          $ref: '#/components/schemas/ConfiguredRules'
        custom_instructions:
          type: array
          description: List of custom instructions enabled for the style rule list.
          items:
            $ref: '#/components/schemas/CustomInstruction'
    StyleId:
      type: string
      description: A unique ID assigned to a style rule list.
      example: bd0a38f3-1831-440b-a8dd-2c702e2325ab
    StyleRuleLanguage:
      description: The language that the style rule list is applied to.
      type: string
      enum:
        - de
        - en
        - es
        - fr
        - it
        - ja
        - ko
        - zh
    ConfiguredRules:
      description: >-
        The enabled rules for the style rule list including what option was
        selected for each rule. This schema combines rules from all supported
        languages.
      type: object
      properties:
        dates_and_times:
          type: object
          properties:
            calendar_era:
              type: string
              description: Formatting options for Calendar Era
              enum:
                - use_bc_and_ad
                - use_bce_and_ce
            centuries:
              type: string
              description: Formatting options for Centuries
              enum:
                - spell_out
                - use_arabic_numerals
                - use_numerals
                - use_roman_numerals
            date_format:
              type: string
              description: Formatting options for Date Format
              enum:
                - >-
                  use_dd_period_mm_period_yy_with_leading_zeros_for_single_digit_days_and_months
                - use_dd_period_mm_period_yyyy
                - >-
                  use_dd_period_mm_period_yyyy_with_leading_zeros_for_single_digit_days_and_months
                - >-
                  use_dd_period_space_abbreviated_month_yyyy_with_abbreviations_jan_period_feb_period_mrz_period_apr_period_mai_jun_period_jul_period_aug_period_sep_period_okt_period_nov_period_dez_period_without_leading_zeros_for_single_digit_days
                - >-
                  use_dd_period_space_abbreviated_month_yyyy_with_abbreviations_jan_period_febr_period_maerz_apr_period_mai_juni_juli_aug_period_sept_period_okt_period_nov_period_dez_period_without_leading_zeros_for_single_digit_days
                - >-
                  use_dd_period_space_month_yyyy_without_leading_zeros_for_single_digit_days
                - use_dd_slash_mm_slash_yyyy
                - >-
                  use_dd_slash_mm_slash_yyyy_with_leading_zeros_for_single_digit_days_and_months
                - use_dd_space_spelled_out_month_space_yyyy
                - >-
                  use_dd_space_spelled_out_month_space_yyyy_and_use_spanish_word_septiembre_for_ninth_month
                - >-
                  use_dd_space_spelled_out_month_space_yyyy_and_use_spanish_word_setiembre_for_ninth_month
                - >-
                  use_dd_space_spelled_out_month_space_yyyy_without_leading_zeros_for_single_digit_days
                - >-
                  use_historical_eras_and_write_numbers_in_chinese_followed_by_chinese_word_公元前_or_公元后_with_arabic_numerals_in_parentheses
                - >-
                  use_mm_slash_dd_slash_yyyy_with_leading_zeros_for_single_digit_days_and_months
                - use_numerals_only_with_leading_zero_for_single_digits
                - use_numerals_only_without_leading_zero_for_single_digits
                - >-
                  use_spelled_out_month_space_dd_comma_space_yyyy_and_use_spanish_word_septiembre_for_ninth_month
                - >-
                  use_spelled_out_month_space_dd_comma_space_yyyy_without_leading_zeros_for_single_digit_days
                - use_traditional_calendar_system_with_chinese_numbers
                - >-
                  use_yyyy_chinese_word_年_mm_chinese_word_月_dd_chinese_word_日_with_chinese_numbers
                - >-
                  use_yyyy_chinese_word_年_mm_chinese_word_月_dd_chinese_word_日_without_leading_zero_for_single_digit_months_and_days
                - >-
                  use_yyyy_hyphen_mm_hyphen_dd_with_leading_zero_for_single_digit_days_and_months
                - >-
                  use_yyyy_hyphen_mm_hyphen_dd_with_leading_zeros_for_single_digit_days_and_months
                - >-
                  use_yyyy_korean word_년_space_mm_korean word_월_space_dd_korean
                  word_일_without_leading_zero_for_single_digit_days_and_months
                - use_yyyy_period_mm_period_dd
                - >-
                  use_yyyy_period_space_mm_period_space_dd_period_space_without_leading_zero_for_single_digit_days_and_months
                - use_yyyy_slash_mm_slash_dd
                - >-
                  use_yyyy_slash_mm_slash_dd_with_leading_zero_for_single_digit_days_and_months
            dates_in_numerical_form:
              type: string
              description: Formatting options for Dates In Numerical Form
              enum:
                - use_dd_hyphen_mm_hyphen_yyyy
                - use_dd_period_mm_period_yyyy
                - use_dd_slash_mm_slash_yyyy
            decades:
              type: string
              description: Formatting options for Decades
              enum:
                - spell_out
                - use_apostrophe_yy
                - use_yy_for_20th_century_but_yyyy_for_other_centuries
                - use_yy_without_apostrophe
                - use_yyyy
            hours_minutes_seconds_separator:
              type: string
              description: Formatting options for Hours Minutes Seconds Separator
              enum:
                - use_colon
                - use_period
            hours_minutes_separator:
              type: string
              description: Formatting options for Hours Minutes Separator
              enum:
                - use_colon_without_spaces
                - use_letter_h_with_regular_space_on_either_side
                - use_letter_h_without_spaces
            midnight_in_numerals:
              type: string
              description: Formatting options for Midnight In Numerals
              enum:
                - use_00_00
                - use_24_00
            single_digit_days_and_months:
              type: string
              description: Formatting options for Single Digit Days And Months
              enum:
                - do_not_use_leading_zero
                - use_leading_zero
            single_digit_hours:
              type: string
              description: Formatting options for Single Digit Hours
              enum:
                - do_not_use_leading_zero
                - use_leading_zero
            time_format:
              type: string
              description: Formatting options for Time Format
              enum:
                - spell_out_time_in_words
                - use_12_hour_clock_and_do_not_specify_morning_or_evening
                - use_12_hour_clock_and_lowercase_am_or_pm_with_periods
                - >-
                  use_12_hour_clock_and_lowercase_am_or_pm_with_periods_except_use_noon_and_midnight_instead_of_12_am_and_12_pm
                - use_12_hour_clock_and_lowercase_am_or_pm_without_periods
                - >-
                  use_12_hour_clock_and_lowercase_am_or_pm_without_periods_except_use_noon_and_midnight_instead_of_12_am_and_12_pm
                - use_12_hour_clock_and_specify_morning_or_evening
                - use_12_hour_clock_and_uppercase_am_or_pm_with_periods
                - >-
                  use_12_hour_clock_and_uppercase_am_or_pm_with_periods_except_use_noon_and_midnight_instead_of_12_am_and_12_pm
                - use_12_hour_clock_and_uppercase_am_or_pm_without_periods
                - >-
                  use_12_hour_clock_and_uppercase_am_or_pm_without_periods_except_use_noon_and_midnight_instead_of_12_am_and_12_pm
                - >-
                  use_12_hour_clock_and_write_chinese_word_上午_or_下午_or_chinese_word_早上_or_晚上_followed_by_arabic_numerals
                - >-
                  use_12_hour_clock_and_write_chinese_word_上午_or_下午_or_chinese_word_早上_or_晚上_followed_by_arabic_numerals_with_chinese_word_点_for_hours
                - >-
                  use_12_hour_clock_and_write_chinese_word_上午_or_下午_or_chinese_word_早上_or_晚上_followed_by_arabic_numerals_with_chinese_words_时_and_分_for_hours_and_minutes
                - >-
                  use_12_hour_clock_and_write_chinese_word_上午_or_下午_or_chinese_word_早上_or_晚上_followed_by_chinese_numbers_with_chinese_words_时_and_分_for_hours_and_minutes
                - use_12_hour_clock_with_arabic_numerals_and_colon
                - use_12_hour_clock_with_korean_words_시_and_분
                - >-
                  use_12_hour_clock_without_leading_zero_or_minutes_for_full_hours_use_colon_as_separator_and_lowercase_am_or_pm_without_periods
                - >-
                  use_12_hour_clock_without_leading_zero_or_minutes_for_full_hours_use_colon_as_separator_and_uppercase_am_or_pm_without_periods
                - >-
                  use_12_hour_clock_without_leading_zero_use_period_as_separator_and_lowercase_am_or_pm_with_periods_and_spaces
                - use_24_hour_clock
                - use_24_hour_clock_with_arabic_numerals_and_colon
                - use_24_hour_clock_with_colon_as_separator
                - use_24_hour_clock_with_korean_words_시_and_분
                - use_24_hour_clock_with_period_as_separator
                - >-
                  use_hh_colon_mm_german_word_uhr_with_leading_zeros_for_single_digit_hours
                - >-
                  use_hh_colon_mm_german_word_uhr_without_leading_zeros_for_single_digit_hours
                - >-
                  use_hh_period_mm_german_word_uhr_with_leading_zeros_for_single_digit_hours
                - >-
                  use_hh_period_mm_german_word_uhr_without_leading_zeros_for_single_digit_hours
                - >-
                  use_hh_period_mm_german_word_uhr_without_leading_zeros_for_single_digit_hours_and_for_full_hours_state_hour_only
            writing_dates:
              type: string
              description: Formatting options for Writing Dates
              enum:
                - use_dd_space_spelled_out_month_space_yyyy
                - use_numerals
            years:
              type: string
              description: Formatting options for Years
              enum:
                - use_apostrophe_yy
                - use_common_era
                - use_japanese_imperial_era
                - use_yyyy
        formatting:
          type: object
          properties:
            email_address_format:
              type: string
              description: Formatting options for Email Address Format
              enum:
                - place_domain_in_parentheses
                - >-
                  replace_at_symbol_with_english_word_at_in_brackets_and_replace_periods_with_english_word_dot_in_brackets
                - >-
                  replace_at_symbol_with_english_word_at_in_brackets_with_space_on_either_side
                - >-
                  replace_at_symbol_with_english_word_at_in_parentheses_with_space_on_either_side
                - >-
                  replace_at_symbol_with_english_word_at_with_space_on_either_side
                - use_standard_format
            phone_number_country_code_format:
              type: string
              description: Formatting options for Phone Number Country Code Format
              enum:
                - use_00_before_country_code
                - use_plus_sign_before_country_code
            phone_number_format:
              type: string
              description: Formatting options for Phone Number Format
              enum:
                - do_not_use_spaces
                - >-
                  do_not_use_spaces_or_special_characters_between_digits_of_phone_number
                - keep_original_format
                - place_area_code_in_parentheses_followed_by_space
                - separate_area_code_and_phone_number_with_slash
                - separate_area_code_and_phone_number_with_space
                - >-
                  separate_country_code_area_code_local_prefix_and_last_four_digits_with_hyphens
                - >-
                  separate_country_code_area_code_local_prefix_and_last_four_digits_with_periods
                - >-
                  separate_country_code_area_code_local_prefix_and_last_four_digits_with_spaces
                - use_north_american_numbering_plan_format
                - use_space_after_country_code
            space_between_arabic_numerals_and_unit:
              type: string
              description: Formatting options for Space Between Arabic Numerals And Unit
              enum:
                - do_not_use
            space_between_chinese_and_english:
              type: string
              description: Formatting options for Space Between Chinese And English
              enum:
                - do_not_use
            space_between_chinese_characters_and_arabic_numerals:
              type: string
              description: >-
                Formatting options for Space Between Chinese Characters And
                Arabic Numerals
              enum:
                - do_not_use
        numbers:
          type: object
          properties:
            approximate_numbers:
              type: string
              description: Formatting options for Approximate Numbers
              enum:
                - use_kanji_numbers
            currency_format:
              type: string
              description: Formatting options for Currency Format
              enum:
                - spell_out
                - >-
                  spell_out_currency_name_followed_by_amount_in_arabic_numerals_without_space
                - spell_out_currency_name_followed_by_amount_in_chinese
                - use_amount_followed_by_currency_symbol_without_space
                - use_amount_followed_by_space_then_currency_symbol
                - use_amount_followed_by_space_then_iso_code
                - use_amount_followed_by_space_then_spell_out_currency_name
                - >-
                  use_amount_followed_by_space_then_spell_out_currency_name_in_lowercase
                - >-
                  use_amount_followed_by_spelled_out_currency_name_in_japanese_without_space
                - use_amount_followed_by_spelled_out_currency_name_without_space
                - use_currency_symbol_but_spell_out_if_no_symbol_exists
                - use_currency_symbol_but_use_iso_code_if_no_symbol_exists
                - >-
                  use_currency_symbol_followed_by_amount_in_arabic_numerals_without_space
                - use_currency_symbol_followed_by_amount_without_space
                - use_currency_symbol_followed_by_space_then_amount
                - >-
                  use_currency_symbol_followed_by_space_then_amount_in_arabic_numerals
                - >-
                  use_full_width_currency_symbol_followed_by_amount_without_space
                - >-
                  use_half_width_currency_symbol_followed_by_amount_without_space
                - use_half_width_currency_symbol_followed_by_space_then_amount
                - use_iso_code
                - use_iso_code_followed_by_space_then_amount
                - use_iso_code_followed_by_space_then_amount_in_arabic_numerals
            decimal_numbers_less_than_one:
              type: string
              description: Formatting options for Decimal Numbers Less Than One
              enum:
                - always_use_0_before_decimal_separator
            decimal_separator:
              type: string
              description: Formatting options for Decimal Separator
              enum:
                - use_comma_and_do_not_use_thousands_separator
                - use_comma_as_decimal_separator
                - >-
                  use_comma_do_not_use_thousands_separator_and_use_period_only_for_radio_stations
                - use_period_and_do_not_use_thousands_separator
                - use_period_as_decimal_separator
            dimensions_separator:
              type: string
              description: Formatting options for Dimensions Separator
              enum:
                - >-
                  use_multiplication_sign_between_dimensions_with_space_on_either_side
                - >-
                  use_multiplication_sign_between_dimensions_without_space_on_either_side
                - use_x_between_dimensions_with_space_on_either_side
                - use_x_between_dimensions_without_space_on_either_side
            equation_formula_reference:
              type: string
              description: Formatting options for Equation Formula Reference
              enum:
                - >-
                  always_use_arabic_numerals_to_number_equations_or_formulas_referenced_in_text
            kanji_numbers:
              type: string
              description: Formatting options for Kanji Numbers
              enum:
                - >-
                  use_kanji_numbers_for_numbers_in_phrases_and_counting_method_based_on_native_japanese_readings
            large_number_format:
              type: string
              description: Formatting options for Large Number Format
              enum:
                - always_use_arabic_numerals
                - spell_out_large_numbers
                - use_abbreviations_for_large_numbers
                - use_chinese_characters_for_ten_thousands_and_hundred_millions
                - >-
                  use_comma_to_separate_large_numbers_into_units_of_three_except_for_calendar_years
                - use_kanji_for_trillions_hundred_millions_and_ten_thousands
                - use_korean_words_만_억_조_with_space
                - use_korean_words_만_억_조_without_space
            large_sums_of_money:
              type: string
              description: Formatting options for Large Sums Of Money
              enum:
                - spell_out_italian_words_milione_and_miliardo
                - >-
                  use_italian_words_mio_and_mrd_instead_of_italian_words_milione_and_miliardo
            large_sums_of_money_format:
              type: string
              description: Formatting options for Large Sums Of Money Format
              enum:
                - >-
                  use_amount_followed_by_abbreviation_for_million_or_billion_without_space
                - >-
                  use_amount_followed_by_space_then_abbreviation_for_million_or_billion
                - >-
                  use_amount_followed_by_space_then_english_word_million_or_billion
            list_of_measurements_with_units:
              type: string
              description: Formatting options for List Of Measurements With Units
              enum:
                - repeat_unit_for_each_measurement_in_list
            mathematical_expression_spacing:
              type: string
              description: Formatting options for Mathematical Expression Spacing
              enum:
                - >-
                  use_space_between_elements_of_mathematical_expression_or_equation
            number_format:
              type: string
              description: Formatting options for Number Format
              enum:
                - >-
                  use_half_width_comma_to_separate_large_numbers_into_units_of_three_except_for_calendar_years_and_use_half_width_period_as_decimal_separator
            number_separator:
              type: string
              description: Formatting options for Number Separator
              enum:
                - >-
                  do_not_use_chinese_comma_to_separate_numbers_indicating_approximate_value
                - use_chinese_comma_to_separate_numbers_in_abbreviations
            numbers_of_5_digits_or_more:
              type: string
              description: Formatting options for Numbers Of 5 Digits Or More
              enum:
                - >-
                  use_comma_as_decimal_separator_and_period_as_thousands_separator
                - >-
                  use_comma_as_decimal_separator_and_space_as_thousands_separator
                - >-
                  use_comma_as_decimal_separator_period_as_thousands_separator_and_period_for_radio_stations
                - >-
                  use_comma_as_decimal_separator_space_as_thousands_separator_and_period_for_radio_stations
                - >-
                  use_period_as_decimal_separator_and_comma_as_thousands_separator
                - >-
                  use_period_as_decimal_separator_and_space_as_thousands_separator
            numbers_up_to_4_digits:
              type: string
              description: Formatting options for Numbers Up To 4 Digits
              enum:
                - >-
                  use_comma_as_decimal_separator_and_period_as_thousands_separator
                - >-
                  use_comma_as_decimal_separator_and_space_as_thousands_separator
                - >-
                  use_comma_as_decimal_separator_period_as_thousands_separator_and_period_for_radio_stations
                - >-
                  use_comma_as_decimal_separator_space_as_thousands_separator_and_period_for_radio_stations
                - >-
                  use_period_as_decimal_separator_and_comma_as_thousands_separator
                - >-
                  use_period_as_decimal_separator_and_space_as_thousands_separator
            percentage_format:
              type: string
              description: Formatting options for Percentage Format
              enum:
                - use_arabic_numerals_followed_by_percent_symbol_without_space
                - use_chinese_numbers_followed_by_chinese_word_百分之
                - >-
                  use_numerals_followed_by_full_width_percent_symbol_without_space
                - use_numerals_followed_by_japanese_word_パーセント_without_space
                - use_numerals_followed_by_korean_word_퍼센트
                - use_numerals_followed_by_percent_symbol
                - use_numerals_followed_by_space_then_german_word_prozent
                - use_numerals_followed_by_space_then_half_width_percent_symbol
                - use_numerals_followed_by_space_then_italian_word_per_cento
                - use_numerals_followed_by_space_then_italian_word_percento
                - use_numerals_followed_by_space_then_korean_word_퍼센트
                - use_numerals_followed_by_space_then_percent_symbol
                - use_numerals_followed_by_space_then_spell_out_per_cent
                - use_numerals_followed_by_space_then_spell_out_percent
                - use_spanish_word_por_cien
                - use_spanish_word_por_ciento
            reference_to_symbol:
              type: string
              description: Formatting options for Reference To Symbol
              enum:
                - spell_out_symbol_name_followed_by_symbol_in_parentheses
            spelling_out_units:
              type: string
              description: Formatting options for Spelling Out Units
              enum:
                - >-
                  abbreviate_units_of_measure_when_used_with_numeral_but_spell_out_when_used_without_numeral
                - always_abbreviate_units_of_measure
                - always_spell_out_units_of_measure
                - spell_out_units_in_korean
                - >-
                  spell_out_units_of_measure_when_used_with_spelled_out_numbers_but_abbreviate_when_used_with_numeral
                - spell_out_units_of_measure_with_katakana_or_katakana_and_kanji
                - use_si_symbols
                - use_unit_symbols
            temperature_format:
              type: string
              description: Formatting options for Temperature Format
              enum:
                - spell_out_unit
                - spell_out_unit_followed_by_numerals_then_korean_word_도
                - use_arabic_numerals_followed_by_space_then_spell_out_unit
                - use_arabic_numerals_followed_by_unit_symbol_without_space
                - use_arabic_numerals_then_spell_out_unit
                - use_chinese_numbers_then_spell_out_unit
                - use_italian_word_grado_and_do_not_specify_temperature_scale
                - use_numerals_followed_by_japanese_word_度_without_space
                - use_numerals_followed_by_korean_word_도
                - use_numerals_followed_by_space_then_spell_out_unit
                - use_numerals_followed_by_space_then_unit_symbol
                - use_numerals_followed_by_unit_symbol_without_space
                - use_spanish_word_grado_and_do_not_specify_temperature_scale
            thousands_separator:
              type: string
              description: Formatting options for Thousands Separator
              enum:
                - do_not_use
                - do_not_use_thousands_separator
                - use_comma
                - use_comma_to_separate_large_numbers_into_units_of_three
                - use_period
                - use_period_as_thousands_separator
                - use_space
                - use_space_as_thousands_separator
                - use_space_to_separate_large_numbers_into_units_of_three
                - use_straight_apostrophe_as_thousands_separator
            units_of_measure_spacing:
              type: string
              description: Formatting options for Units Of Measure Spacing
              enum:
                - do_not_use_space_between_numeral_and_unit_of_measure
                - use_space_between_numeral_and_unit_of_measure
            use_of_hiragana_and_kanji:
              type: string
              description: Formatting options for Use Of Hiragana And Kanji
              enum:
                - >-
                  use_hiragana_japanese_word_か所_or_か月_when_using_arabic_numerals_in_horizontal_writing_but_use_kanji_japanese_word_箇所_or_箇月_when_using_kanji_numbers
            writing_numbers:
              type: string
              description: Formatting options for Writing Numbers
              enum:
                - always_use_kanji_numbers
                - use_arabic_numerals
                - >-
                  use_full_width_arabic_numerals_and_only_use_kanji_numbers_where_it_would_otherwise_sound_unnatural
                - >-
                  use_half_width_arabic_numerals_and_only_use_kanji_numbers_where_it_would_otherwise_sound_unnatural
            zero_format:
              type: string
              description: Formatting options for Zero Format
              enum:
                - use_chinese_word_〇_for_numbering
                - use_chinese_word_零_for_measurement
        punctuation:
          type: object
          properties:
            abbreviations:
              type: string
              description: Formatting options for Abbreviations
              enum:
                - do_not_separate_abbreviated_words
                - separate_each_abbreviated_word_with_period_and_space
                - separate_each_abbreviated_word_with_period_without_space
                - separate_each_abbreviated_word_with_space_without_period
            acronyms:
              type: string
              description: Formatting options for Acronyms
              enum:
                - do_not_use_periods
            ampersand_abbreviation_spacing:
              type: string
              description: Formatting options for Ampersand Abbreviation Spacing
              enum:
                - >-
                  do_not_use_spaces_before_and_after_ampersand_as_part_of_abbreviation
                - use_spaces_before_and_after_ampersand_as_part_of_abbreviation
            ampersand_usage:
              type: string
              description: Formatting options for Ampersand Usage
              enum:
                - >-
                  use_english_word_and_except_in_company_names_common_abbreviations_titles_software_code_and_mathematical_equations
                - use_full_width_ampersand
                - >-
                  use_german_word_und_except_in_company_names_common_abbreviations_titles_software_code_and_mathematical_equations
                - use_half_width_ampersand
            apostrophe:
              type: string
              description: Formatting options for Apostrophe
              enum:
                - use_curly_apostrophes
                - use_straight_apostrophes
            bracket:
              type: string
              description: Formatting options for Bracket
              enum:
                - use_hexagonal_brackets
                - use_lenticular_brackets
                - use_parentheses
                - >-
                  use_square_brackets_for_nationality_and_hexagonal_brackets_for_historical_period
            chinese_mixed_with_english:
              type: string
              description: Formatting options for Chinese Mixed With English
              enum:
                - do_not_place_english_in_quotation_marks
                - place_english_in_quotation_marks
            colon:
              type: string
              description: Formatting options for Colon
              enum:
                - use_full_width_colon
                - use_half_width_colon
            colon_between_hours_and_minutes_or_chapters_and_verses:
              type: string
              description: >-
                Formatting options for Colon Between Hours And Minutes Or
                Chapters And Verses
              enum:
                - do_not_use_space_before_or_after_colon
            colon_in_heading:
              type: string
              description: Formatting options for Colon In Heading
              enum:
                - use_space_after_colon_not_before
            colon_to_replace_versus_or_to:
              type: string
              description: Formatting options for Colon To Replace Versus Or To
              enum:
                - do_not_use_space_before_or_after_colon
            comma_after_conjunctive_adverbs:
              type: string
              description: Formatting options for Comma After Conjunctive Adverbs
              enum:
                - do_not_use
                - use
            comma_after_i_e_and_e_g:
              type: string
              description: Formatting options for Comma After I E And E G
              enum:
                - do_not_use
                - use
            comma_after_short_introductory_phrase:
              type: string
              description: Formatting options for Comma After Short Introductory Phrase
              enum:
                - do_not_use
                - use
            comma_and_semicolon:
              type: string
              description: Formatting options for Comma And Semicolon
              enum:
                - use_comma_between_clauses
                - use_semicolon_between_clauses
            corner_bracket_and_periods:
              type: string
              description: Formatting options for Corner Bracket And Periods
              enum:
                - add_period_after_closing_corner_bracket_at_end_of_sentence
            corner_brackets_and_periods:
              type: string
              description: Formatting options for Corner Brackets And Periods
              enum:
                - >-
                  do_not_add_period_before_closing_corner_bracket_when_sentence_continues
            dash:
              type: string
              description: Formatting options for Dash
              enum:
                - use_em_dash
                - use_hyphen
                - use_tilde
            ellipsis:
              type: string
              description: Formatting options for Ellipsis
              enum:
                - use_ellipsis_character
                - use_one_ellipsis_character
                - use_six_dots_at_the_bottom
                - use_six_dots_in_the_center
                - use_three_dots_at_the_bottom
                - use_three_dots_in_the_center
                - use_three_ellipsis_characters
                - use_three_periods
                - use_three_periods_without_spaces
                - use_three_spaced_periods
                - use_two_ellipsis_characters
            em_dash:
              type: string
              description: Formatting options for Em Dash
              enum:
                - use_double_em_dash
            emphasis:
              type: string
              description: Formatting options for Emphasis
              enum:
                - use_double_corner_brackets
            exclamation_marks:
              type: string
              description: Formatting options for Exclamation Marks
              enum:
                - do_not_use
            explanatory_note_indicator:
              type: string
              description: Formatting options for Explanatory Note Indicator
              enum:
                - use_double_em_dash
                - use_parentheses
            full_sentence_in_round_brackets:
              type: string
              description: Formatting options for Full Sentence In Round Brackets
              enum:
                - add_period_before_closing_round_bracket
            highlighting_specific_expressions:
              type: string
              description: Formatting options for Highlighting Specific Expressions
              enum:
                - use_single_curly_quotation_marks
                - use_single_straight_quotation_marks
            japanese_reference_materials:
              type: string
              description: Formatting options for Japanese Reference Materials
              enum:
                - use_double_corner_brackets
            parentheses_for_supplementary_information:
              type: string
              description: Formatting options for Parentheses For Supplementary Information
              enum:
                - use_parentheses_without_space_on_either_side
            passage_of_time_and_movement_between_locations:
              type: string
              description: >-
                Formatting options for Passage Of Time And Movement Between
                Locations
              enum:
                - use_double_em_dash
            periods_and_commas:
              type: string
              description: Formatting options for Periods And Commas
              enum:
                - use_full_width_japanese_periods_and_full_width_japanese_commas
                - >-
                  use_full_width_japanese_periods_and_full_width_non_japanese_commas
                - >-
                  use_full_width_non_japanese_periods_and_full_width_japanese_commas
                - >-
                  use_full_width_non_japanese_periods_and_full_width_non_japanese_commas
            periods_in_academic_degrees:
              type: string
              description: Formatting options for Periods In Academic Degrees
              enum:
                - do_not_use
                - use
            periods_in_direct_quotes:
              type: string
              description: Formatting options for Periods In Direct Quotes
              enum:
                - do_not_use
                - use
            periods_in_uppercase_initialisms_and_acronyms:
              type: string
              description: >-
                Formatting options for Periods In Uppercase Initialisms And
                Acronyms
              enum:
                - do_not_use
            plus_sign_usage:
              type: string
              description: Formatting options for Plus Sign Usage
              enum:
                - >-
                  do_not_use_plus_sign_to_symbolize_english_word_and_unless_it_is_part_of_a_proper_noun
            possessives_of_proper_names_ending_in_s_style:
              type: string
              description: >-
                Formatting options for Possessives Of Proper Names Ending In S
                Style
              enum:
                - add_apostrophe_only
                - add_apostrophe_s
            quotation_mark:
              type: string
              description: Formatting options for Quotation Mark
              enum:
                - use_curly_quotation_marks
                - use_double_curly_quotation_marks
                - use_double_straight_quotation_marks
                - use_guillemets
                - use_straight_quotation_marks
            quotation_mark_and_apostrophe:
              type: string
              description: Formatting options for Quotation Mark And Apostrophe
              enum:
                - use_curly_quotation_marks_and_apostrophes
                - >-
                  use_double_and_single_curly_quotation_marks_and_curly_apostrophes
                - >-
                  use_double_and_single_straight_quotation_marks_and_straight_apostrophes
                - use_guillemets_and_curly_apostrophes
                - use_guillemets_and_straight_apostrophes
                - use_straight_quotation_marks_and_apostrophes
            quotation_style:
              type: string
              description: Formatting options for Quotation Style
              enum:
                - >-
                  use_corner_brackets_for_primary_quotations_and_double_corner_brackets_for_secondary_quotations
                - >-
                  use_double_curly_quotation_marks_for_primary_quotations_and_single_curly_quotation_marks_for_secondary_quotations
                - >-
                  use_double_curly_quotation_marks_for_primary_quotations_then_alternate_with_single_curly_quotation_marks_for_nested_quotations
                - >-
                  use_double_german_quotation_marks_for_primary_quotations_and_single_german_quotation_marks_for_secondary_quotations
                - >-
                  use_double_quotation_marks_for_primary_quotations_and_single_quotation_marks_for_secondary_quotations
                - >-
                  use_double_straight_quotation_marks_for_primary_quotations_and_single_straight_quotation_marks_for_secondary_quotations
                - >-
                  use_double_straight_quotation_marks_for_primary_quotations_then_alternate_with_single_straight_quotation_marks_for_nested_quotations
                - >-
                  use_guillemets_for_primary_quotations_and_double_curly_quotation_marks_for_secondary_quotations
                - >-
                  use_guillemets_for_primary_quotations_and_double_straight_quotation_marks_for_secondary_quotations
                - >-
                  use_guillemets_for_primary_quotations_and_single_guillemets_for_secondary_quotations
                - >-
                  use_guillemets_for_primary_quotations_double_curly_quotation_marks_for_secondary_quotations_and_single_curly_quotation_marks_for_further_nested_quotations
                - >-
                  use_reversed_guillemets_for_primary_quotations_and_single_reversed_guillemets_for_secondary_quotations
                - >-
                  use_single_quotation_marks_for_primary_quotations_and_double_quotation_marks_for_secondary_quotations
            range_indicator:
              type: string
              description: Formatting options for Range Indicator
              enum:
                - use_en_dash_with_spaces
                - use_en_dash_without_space_on_either_side
                - use_en_dash_without_spaces
                - use_english_word_to
                - use_full_width_dash
                - use_full_width_wave_dash
                - use_german_word_bis
                - use_half_width_dash
                - use_hyphen
                - use_hyphen_with_space_on_either_side
                - use_hyphen_with_spaces
                - use_hyphen_without_space_on_either_side
                - use_hyphen_without_spaces
                - use_italian_words_da_a
                - use_japanese_word_から
                - use_korean_words_부터_까지
                - use_spanish_words_de_a
                - use_tilde
            related_phrases_indicator:
              type: string
              description: Formatting options for Related Phrases Indicator
              enum:
                - use_comma
                - use_hyphen
                - use_middle_dot
            round_brackets:
              type: string
              description: Formatting options for Round Brackets
              enum:
                - use_full_width_round_brackets
                - use_half_width_round_brackets
            salutation:
              type: string
              description: Formatting options for Salutation
              enum:
                - do_not_use_comma_after_salutation_capitalize_following_word
                - use_colon_after_salutation
                - use_comma_after_salutation
                - use_exclamation_mark_after_salutation
            sentence_break_indicator:
              type: string
              description: Formatting options for Sentence Break Indicator
              enum:
                - use_em_dash_with_space_on_either_side
                - use_em_dash_without_space_on_either_side
                - use_en_dash_with_space_on_either_side
            serial_comma:
              type: string
              description: Formatting options for Serial Comma
              enum:
                - do_not_use
                - do_not_use_serial_comma_when_using_chinese_comma
                - use
                - use_serial_comma_when_using_comma
            setting_off_non_quoted_phrases:
              type: string
              description: Formatting options for Setting Off Non Quoted Phrases
              enum:
                - use_full_width_quotation_marks
                - use_half_width_quotation_marks
            slash:
              type: string
              description: Formatting options for Slash
              enum:
                - do_not_use_spaces_before_and_after_slashes
                - use_spaces_before_and_after_slashes
                - >-
                  use_spaces_before_and_after_slashes_if_there_are_multiple_words_before_and_after_slash
                - >-
                  use_spaces_before_and_after_slashes_if_there_are_multiple_words_before_or_after_slash
            slash_usage:
              type: string
              description: Formatting options for Slash Usage
              enum:
                - do_not_use_slash_to_symbolize_english_word_or
            spacing_and_punctuation:
              type: string
              description: Formatting options for Spacing And Punctuation
              enum:
                - do_not_use_space
                - use_regular_space
            text_in_round_brackets_referring_to_previous_sentence:
              type: string
              description: >-
                Formatting options for Text In Round Brackets Referring To
                Previous Sentence
              enum:
                - add_period_after_closing_round_bracket
                - add_period_before_closing_round_bracket
            text_in_round_brackets_supplementing_preceding_text:
              type: string
              description: >-
                Formatting options for Text In Round Brackets Supplementing
                Preceding Text
              enum:
                - add_period_after_closing_round_bracket
            titles_of_books_and_newspapers:
              type: string
              description: Formatting options for Titles Of Books And Newspapers
              enum:
                - use_double_angle_brackets
                - use_double_corner_brackets
                - use_double_straight_quotation_marks
            titles_of_creative_works_trade_names_laws_and_regulations:
              type: string
              description: >-
                Formatting options for Titles Of Creative Works Trade Names Laws
                And Regulations
              enum:
                - use_single_angle_brackets
                - use_single_corner_brackets
                - use_single_straight_quotation_marks
            uppercase_acronyms:
              type: string
              description: Formatting options for Uppercase Acronyms
              enum:
                - do_not_use_spaces
                - use_spaces
        spelling_and_grammar:
          type: object
          properties:
            abbreviating_french_word_numero:
              type: string
              description: Formatting options for Abbreviating French Word Numero
              enum:
                - abbreviate_as_n_then_degree_symbol
                - abbreviate_as_n_then_o_in_superscript
                - abbreviate_as_no
            abbreviation_usage:
              type: string
              description: Formatting options for Abbreviation Usage
              enum:
                - do_not_use_abbreviations
                - do_not_use_abbreviations_unless_necessary
                - use_abbreviations
                - use_abbreviations_as_needed
            accents_and_cedillas:
              type: string
              description: Formatting options for Accents And Cedillas
              enum:
                - do_not_use_on_capital_letters
                - never_use
                - use_even_on_capital_letters
            accents_in_verbs_conjugated_like_french_word_céder:
              type: string
              description: >-
                Formatting options for Accents In Verbs Conjugated Like French
                Word Céder
              enum:
                - use_acute_accent
                - use_grave_accent
            accents_with_subject_verb_inversion:
              type: string
              description: Formatting options for Accents With Subject Verb Inversion
              enum:
                - use_acute_accent
                - use_grave_accent
            active_passive_voice:
              type: string
              description: Formatting options for Active Passive Voice
              enum:
                - use_active_voice_if_subject_is_prominent_and_agent_is_clear
                - use_active_voice_to_describe_operations_with_user_as_subject
                - use_active_voice_unless_agent_is_unknown_or_irrelevant
                - use_passive_voice_as_needed
                - >-
                  use_passive_voice_for_automatic_operations_from_user_perspective
                - use_passive_voice_if_agent_is_unknown_or_irrelevant
            all_caps:
              type: string
              description: Formatting options for All Caps
              enum:
                - >-
                  do_not_use_all_caps_except_for_acronyms_initialisms_or_proper_nouns
                - do_not_use_all_caps_except_for_acronyms_or_brand_names
            complete_sentences:
              type: string
              description: Formatting options for Complete Sentences
              enum:
                - always_write_complete_sentences
            compound_nouns:
              type: string
              description: Formatting options for Compound Nouns
              enum:
                - write_as_one_word
                - write_with_hyphen
            conjunctions:
              type: string
              description: Formatting options for Conjunctions
              enum:
                - never_start_sentence_with_coordinating_conjunction
            contractions:
              type: string
              description: Formatting options for Contractions
              enum:
                - do_not_use_contractions
                - use_contractions
                - use_contractions_but_avoid_negative_contractions
            established_loanwords:
              type: string
              description: Formatting options for Established Loanwords
              enum:
                - use_as_is
                - use_native_or_sino_korean_equivalents
            eszett:
              type: string
              description: Formatting options for Eszett
              enum:
                - replace_eszett_with_ss
            foreign_word_translation:
              type: string
              description: Formatting options for Foreign Word Translation
              enum:
                - use_equivalent_expressions_in_chinese
                - >-
                  use_foreign_forms_or_abbreviations_for_technical_terms_or_brand_names
                - use_literal_translation
                - >-
                  use_localized_names_for_brands_with_official_chinese_translations
                - use_mixture_of_transliteration_and_translation
                - use_transliteration
            french_verbs_ending_in_eler_and_eter:
              type: string
              description: Formatting options for French Verbs Ending In Eler And Eter
              enum:
                - transcribe_open_e_sound_by_doubling_next_consonant
                - transcribe_open_e_sound_with_grave_accent
            i_and_u_with_circumflex_accents:
              type: string
              description: Formatting options for I And U With Circumflex Accents
              enum:
                - >-
                  do_not_use_circumflex_accents_except_in_verbs_and_to_distinguish_homophones
                - use_circumflex_accents
            informal_address_pronouns:
              type: string
              description: Formatting options for Informal Address Pronouns
              enum:
                - capitalize_informal_address_pronouns
                - do_not_capitalize_informal_address_pronouns
            latin_abbreviations:
              type: string
              description: Formatting options for Latin Abbreviations
              enum:
                - do_not_use_latin_abbreviations
            passive_voice:
              type: string
              description: Formatting options for Passive Voice
              enum:
                - avoid_passive_voice_when_agent_is_known
            past_participle_of_french_word_laisser_followed_by_infinitive:
              type: string
              description: >-
                Formatting options for Past Participle Of French Word Laisser
                Followed By Infinitive
              enum:
                - >-
                  make_french_word_laisser_agree_with_direct_object_complement_if_it_appears_before_verb
                - use_invariable_form_french_word_laissé
            personal_titles:
              type: string
              description: Formatting options for Personal Titles
              enum:
                - abbreviate
                - do_not_abbreviate
            pluralizing_foreign_words:
              type: string
              description: Formatting options for Pluralizing Foreign Words
              enum:
                - use_french_spelling_rules
                - use_original_language_spelling
            quotation_modification:
              type: string
              description: Formatting options for Quotation Modification
              enum:
                - do_not_modify_text_in_quotation_marks
                - modify_text_in_quotation_marks_according_to_custom_rules
            spanish_word_solo:
              type: string
              description: Formatting options for Spanish Word Solo
              enum:
                - never_use_acute_accent
                - use_acute_accent_when_used_as_adverb
            special_characters:
              type: string
              description: Formatting options for Special Characters
              enum:
                - never_use_symbols
            spelled_out_numbers:
              type: string
              description: Formatting options for Spelled Out Numbers
              enum:
                - use_hyphens
                - >-
                  use_hyphens_between_elements_under_100_and_not_separated_by_french_word_et
            umlauts:
              type: string
              description: Formatting options for Umlauts
              enum:
                - replace_umlauts_with_ae_oe_ue
            unestablished_loanwords:
              type: string
              description: Formatting options for Unestablished Loanwords
              enum:
                - paraphrase_in_korean
                - use_as_is
                - use_as_is_with_explanation_in_parentheses
        style_and_tone:
          type: object
          properties:
            abbreviations:
              type: string
              description: Formatting options for Abbreviations
              enum:
                - avoid_abbreviations_and_symbols_that_can_be_spelled_out_easily
                - use_abbreviations_and_symbols
            addressing_non_binary_people:
              type: string
              description: Formatting options for Addressing Non Binary People
              enum:
                - use_spanish_word_elle
                - use_spanish_word_ellx
            addressing_the_reader:
              type: string
              description: Formatting options for Addressing The Reader
              enum:
                - use_formal_french_word_vous
                - use_formal_italian_word_lei
                - use_informal_french_word_tu
                - use_informal_italian_word_tu
            anglicisms:
              type: string
              description: Formatting options for Anglicisms
              enum:
                - avoid_anglicisms_when_there_is_a_french_equivalent
            binary_representation_of_gender:
              type: string
              description: Formatting options for Binary Representation Of Gender
              enum:
                - >-
                  avoid_binary_representation_of_gender_when_gender_neutral_language_can_be_used
                - >-
                  replace_binary_representations_of_gender_with_gender_neutral_language
                - use_neutral_pronouns
            complex_sentences:
              type: string
              description: Formatting options for Complex Sentences
              enum:
                - avoid_unnecessarily_complex_sentences
            country_names:
              type: string
              description: Formatting options for Country Names
              enum:
                - use_long_form
                - use_short_form
            declarative_endings:
              type: string
              description: Formatting options for Declarative Endings
              enum:
                - mix_hapsho_and_haeyo_styles
                - use_hae_style
                - use_haeyo_style
                - use_hapsho_style
                - use_hara_style
            default_first_person_pronoun:
              type: string
              description: Formatting options for Default First Person Pronoun
              enum:
                - do_not_use_first_person_pronouns
                - omit_first_person_subject_when_clear_from_context
                - use_first_person_pronouns
            default_second_person_pronoun:
              type: string
              description: Formatting options for Default Second Person Pronoun
              enum:
                - do_not_use_second_person_pronouns
                - use_second_person_pronouns
            directional_language:
              type: string
              description: Formatting options for Directional Language
              enum:
                - do_not_use_directional_language
            double_negatives:
              type: string
              description: Formatting options for Double Negatives
              enum:
                - do_not_use_double_negatives
                - use_double_negatives
            formality:
              type: string
              description: Formatting options for Formality
              enum:
                - use_casual_tone
                - use_formal_tone
            gender_neutral_language_readability:
              type: string
              description: Formatting options for Gender Neutral Language Readability
              enum:
                - >-
                  use_generic_masculine_for_common_compound_nouns_if_it_increases_readability
            gender_unspecified:
              type: string
              description: Formatting options for Gender Unspecified
              enum:
                - use_both_masculine_and_feminine_forms
                - use_gender_neutral_terms
                - use_masculine_form_only
                - use_middle_dots
                - use_parentheses
                - use_periods
            gender_unspecified_or_mixed:
              type: string
              description: Formatting options for Gender Unspecified Or Mixed
              enum:
                - use_both_feminine_and_masculine_forms
                - use_feminine_form_only
                - use_inclusive_nouns_and_adjectives
                - use_masculine_form_only
                - use_neutral_nouns_and_adjectives
            idioms_colloquialisms_and_culture_specific_references:
              type: string
              description: >-
                Formatting options for Idioms Colloquialisms And Culture
                Specific References
              enum:
                - do_not_use
            inflected_words_masculine_noun_agreement:
              type: string
              description: Formatting options for Inflected Words Masculine Noun Agreement
              enum:
                - place_masculine_nouns_closest_to_inflected_words
            instructions_style:
              type: string
              description: Formatting options for Instructions Style
              enum:
                - use_imperative
                - use_indicative
                - use_infinitive
                - use_modal_verbs
                - use_passive_voice
            mixing_styles:
              type: string
              description: Formatting options for Mixing Styles
              enum:
                - do_not_mix_desu_masu_style_and_dearu_style
            modal_verbs:
              type: string
              description: Formatting options for Modal Verbs
              enum:
                - avoid_modal_verbs
            personal_vs_impersonal_style:
              type: string
              description: Formatting options for Personal Vs Impersonal Style
              enum:
                - use_impersonal_style
                - use_personal_style
            positive_vs_negative_language:
              type: string
              description: Formatting options for Positive Vs Negative Language
              enum:
                - use_positive_language
            proximity_agreement:
              type: string
              description: Formatting options for Proximity Agreement
              enum:
                - use
            reader_action_required:
              type: string
              description: Formatting options for Reader Action Required
              enum:
                - use_you_must_when_action_is_required_from_reader
            redundant_introductory_phrases:
              type: string
              description: Formatting options for Redundant Introductory Phrases
              enum:
                - avoid_redundant_introductory_phrases
                - do_not_use_redundant_phrases_that_refer_to_current_text
            redundant_phrases:
              type: string
              description: Formatting options for Redundant Phrases
              enum:
                - avoid_relativizing_and_redundant_phrases
                - do_not_use_redundant_phrases
            referring_to_non_binary_people:
              type: string
              description: Formatting options for Referring To Non Binary People
              enum:
                - use_the_singular_and_plural_schwa
            short_vs_long_words:
              type: string
              description: Formatting options for Short Vs Long Words
              enum:
                - use_short_words
            simple_words_and_sentences:
              type: string
              description: Formatting options for Simple Words And Sentences
              enum:
                - >-
                  use_simple_words_and_sentences_avoid_hard_to_translate_words_and_figures_of_speech
            text_position_references:
              type: string
              description: Formatting options for Text Position References
              enum:
                - >-
                  avoid_directional_terms_as_only_reference_to_position_in_text_specify_exact_position_instead
            tone:
              type: string
              description: Formatting options for Tone
              enum:
                - >-
                  use_dearu_style_to_give_impression_content_is_accurate_and_rigorous_or_to_convey_sense_of_confidence_and_reliability
                - >-
                  use_desu_masu_style_to_give_impression_content_is_plain_and_straightforward_or_to_give_reader_reassuring_or_soft_impression
            verbal_vs_nominal_style:
              type: string
              description: Formatting options for Verbal Vs Nominal Style
              enum:
                - use_nominal_style
                - use_verbal_style
        vocabulary:
          type: object
          properties:
            abbreviations:
              type: string
              description: Formatting options for Abbreviations
              enum:
                - write_original_term_then_abbreviation_and_explanation
            loanwords:
              type: string
              description: Formatting options for Loanwords
              enum:
                - add_explanation_to_loanword_if_difficult_to_rephrase
                - >-
                  rephrase_loanword_in_daily_use_chinese_or_japanese_words_if_possible
                - rephrase_loanword_with_another_expression_if_not_established
                - use_loanword_as_is_if_well_established
      example:
        style_and_tone:
          abbreviations: use_abbreviations_and_symbols
          short_vs_long_words: use_short_words
        punctuation:
          apostrophe: use_curly_apostrophes
    CustomInstruction:
      description: All enabled custom instructions for the style rule list
      type: object
      required:
        - id
        - label
        - prompt
      properties:
        id:
          type: string
          description: Unique identifier for the custom instruction
          example: 68fdb803-c013-4e67-b62e-1aad0ab519cd
        label:
          type: string
          description: Name associated with the custom instruction
          example: Currency custom instruction
        prompt:
          type: string
          description: Prompt of the custom instruction
          example: Have currency symbols before the numerical value (e.g. $100, €100)
        source_language:
          type: string
          description: Optional source language of the custom instruction
          example: en
  headers:
    X-Trace-ID:
      description: >-
        A unique identifier for the request that can be included in bug reports
        to DeepL support.
      schema:
        type: string
      example: 501c3d93cc0c4f11ae2f60a226c2f0f0
  responses:
    BadRequest:
      description: Bad request. Please check error message and your parameters.
    Unauthorized:
      description: >-
        Authorization failed. Please supply a valid `DeepL-Auth-Key` via the
        `Authorization` header.
    Forbidden:
      description: >-
        Authorization failed. Please supply a valid `DeepL-Auth-Key` via the
        `Authorization` header.
    NotFound:
      description: The requested resource could not be found.
    TooManyRequests:
      description: Too many requests. Please wait and resend your request.
    QuotaExceeded:
      description: Quota exceeded. The character limit has been reached.
    InternalServerError:
      description: Internal error.
    ServiceUnavailable:
      description: Resource currently unavailable. Try again later.
  securitySchemes:
    auth_header:
      type: apiKey
      description: >
        Authentication with `Authorization` header and  `DeepL-Auth-Key`
        authentication scheme. Example:  `DeepL-Auth-Key <api-key>`
      name: Authorization
      in: header
      x-default: 'DeepL-Auth-Key '

````